Skip to main content
GET
/
v1
/
events
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const eventListResponse of client.events.list()) {
  console.log(eventListResponse.id);
}
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "event",
      "event_type": "payout.created",
      "api_version": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "data": {}
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 < x < 100
cursor
string

Opaque cursor from a previous next_cursor.

event_type
enum<string>

Filter by event type.

Available options:
payout.created,
payout.initiated,
payout.paid,
payout.failed,
return.initiated,
return.paid,
return.failed,
return.returned,
deposit.received,
conversion.created,
conversion.completed,
conversion.failed,
ping.test
created_at.gte
string<date-time>

Include events whose created_at is greater than or equal to this ISO 8601 timestamp.

created_at.lte
string<date-time>

Include events whose created_at is less than or equal to this ISO 8601 timestamp.

Response

200 - application/json

Paginated list of events

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required